%define _X11prefix %{_prefix}/X11R6
%define enable_xmatrix 0

Name:		xscreensaver
Summary:	A set of X Window System screensavers
Version:	4.00
Release:	4mdk
License:	BSD
Group:		Graphical desktop/Other
URL:		http://www.jwz.org/xscreensaver/

Source:		http://www.jwz.org/xscreensaver/xscreensaver-%{version}.tar.bz2
Patch2:     xscreensaver-oneshot.patch.bz2
Patch3:     xscreensaver-ia64.patch.bz2
Patch5:     xscreensaver-3.24-system-auth.patch.bz2
Patch7:     xscreensaver-3.24-kde.patch.bz2

# WARNING this patch must ALWAYS be applied, if it fails, REGENERATE it !!!
# Only GDadou should be enabled
Patch9:		xscreensaver-4.00-list.patch.bz2
# (fc) 4.00-4mdk allow root to start xscreensaver
Patch10:     xscreensaver-4.00-root.patch.bz2


Requires:	xloadimage fortune-mod words chbg
Requires:   mandrake_desk >= 8.2
BuildRequires:	XFree86
BuildRequires:	XFree86-static-libs
BuildRequires:	bc
BuildRequires:	fortune-mod
BuildRequires:	gcc
BuildRequires:	krb5-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:	control-center-devel
BuildRequires:	libxml-devel
BuildRequires:	pam-devel
BuildRequires:	xpm-devel

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Conflicts:	gnome-control-center < 1.5.11-4mdk

%package gl
Group:		Graphical desktop/Other
Requires:	xscreensaver = %version-%release
Summary:	A set of GL screensavers

%description gl
The xscreensaver-gl package contains even more screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screensavers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screensavers for
use with the X Window System and you have OpenGL or Mesa installed.

%description
The xscreensaver package contains a variety of screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure.

Install the xscreensaver package if you need screensavers for use with
the X Window System.

%prep
%setup -q
%patch2 -p1 -b .oneshot
%patch3 -p1 -b .ia64
%patch5 -p1 -b .system-auth
%patch7 -p1 -b .kde
# WARNING this patch must ALWAYS be applied, if it fails, REGENERATE it !!!
%patch9 -p1 -b .list
%patch10 -p1 -b .root

%build

%configure --prefix=%{_X11prefix} --exec-prefix=%{_X11prefix} \
 --without-motif  --with-pam --with-gl	

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/app-defaults/
mkdir -p $RPM_BUILD_ROOT%{_X11prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_X11prefix}/man/man1
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
mkdir -p $RPM_BUILD_ROOT%{_X11prefix}/lib/xscreensaver
mkdir -p $RPM_BUILD_ROOT%{_datadir}/{control-center/Desktop,gnome/apps/Settings/Desktop}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/control-center/screensavers

make install_prefix=$RPM_BUILD_ROOT bindir=%{_X11prefix}/bin \
 KDEDIR=%{_prefix} \
 mandir=%{_X11prefix}/man AD_DIR=%{_sysconfdir}/X11/app-defaults/  install

%if %{enable_xmatrix}
%else 
rm -rf $RPM_BUILD_ROOT%{_X11prefix}/man/man1/xmatrix*
rm -rf $RPM_BUILD_ROOT%{_datadir}/control-center/screensavers/xmatrix*
%endif

cat<<EOF >README.GL
The xscreensaver-gl package contains even more screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screensavers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screensavers for
use with the X Window System and you have OpenGL or Mesa installed.
EOF

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/screensaver-properties-capplet" icon="%{_datadir}/control-center/icons/screensaver-capplet.png" longtitle="Configure the setting of the screensaver" title="Screensaver" needs=gnome section="Configuration/Gnome"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pam.d/xscreensaver
%doc README
%{_bindir}/xscreensaver.kss
%{_X11prefix}/bin/screensaver-properties-capplet
%{_X11prefix}/bin/xscreensaver
%{_X11prefix}/bin/xscreensaver-command
%{_X11prefix}/bin/xscreensaver-demo
%{_X11prefix}/bin/xscreensaver-getimage
%{_X11prefix}/bin/xscreensaver-getimage-file
%{_X11prefix}/bin/xscreensaver-getimage-video
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%{_X11prefix}/man/man1/*
%dir %{_X11prefix}/lib/xscreensaver
%{_X11prefix}/lib/xscreensaver/ant
%{_X11prefix}/lib/xscreensaver/attraction
%{_X11prefix}/lib/xscreensaver/blaster
%{_X11prefix}/lib/xscreensaver/blitspin
%{_X11prefix}/lib/xscreensaver/bouboule
%{_X11prefix}/lib/xscreensaver/braid
%{_X11prefix}/lib/xscreensaver/bsod
%{_X11prefix}/lib/xscreensaver/bubbles
%{_X11prefix}/lib/xscreensaver/bumps
%{_X11prefix}/lib/xscreensaver/ccurve
%{_X11prefix}/lib/xscreensaver/compass
%{_X11prefix}/lib/xscreensaver/coral
%{_X11prefix}/lib/xscreensaver/critical
%{_X11prefix}/lib/xscreensaver/crystal
%{_X11prefix}/lib/xscreensaver/cynosure
%{_X11prefix}/lib/xscreensaver/decayscreen
%{_X11prefix}/lib/xscreensaver/deco
%{_X11prefix}/lib/xscreensaver/deluxe
%{_X11prefix}/lib/xscreensaver/demon
%{_X11prefix}/lib/xscreensaver/discrete
%{_X11prefix}/lib/xscreensaver/distort
%{_X11prefix}/lib/xscreensaver/drift
%{_X11prefix}/lib/xscreensaver/epicycle
%{_X11prefix}/lib/xscreensaver/fadeplot
%{_X11prefix}/lib/xscreensaver/flag
%{_X11prefix}/lib/xscreensaver/flame
%{_X11prefix}/lib/xscreensaver/flow
%{_X11prefix}/lib/xscreensaver/forest
%{_X11prefix}/lib/xscreensaver/galaxy
%{_X11prefix}/lib/xscreensaver/goop
%{_X11prefix}/lib/xscreensaver/grav
%{_X11prefix}/lib/xscreensaver/greynetic
%{_X11prefix}/lib/xscreensaver/halo
%{_X11prefix}/lib/xscreensaver/helix
%{_X11prefix}/lib/xscreensaver/hopalong
%{_X11prefix}/lib/xscreensaver/hyperball
%{_X11prefix}/lib/xscreensaver/hypercube
%{_X11prefix}/lib/xscreensaver/ifs
%{_X11prefix}/lib/xscreensaver/imsmap
%{_X11prefix}/lib/xscreensaver/interference
%{_X11prefix}/lib/xscreensaver/jigsaw
%{_X11prefix}/lib/xscreensaver/julia
%{_X11prefix}/lib/xscreensaver/kaleidescope
%{_X11prefix}/lib/xscreensaver/kumppa
%{_X11prefix}/lib/xscreensaver/laser
%{_X11prefix}/lib/xscreensaver/lightning
%{_X11prefix}/lib/xscreensaver/lisa
%{_X11prefix}/lib/xscreensaver/lissie
%{_X11prefix}/lib/xscreensaver/lmorph
%{_X11prefix}/lib/xscreensaver/loop
%{_X11prefix}/lib/xscreensaver/maze
%{_X11prefix}/lib/xscreensaver/moire
%{_X11prefix}/lib/xscreensaver/moire2
%{_X11prefix}/lib/xscreensaver/mountain
%{_X11prefix}/lib/xscreensaver/munch
%{_X11prefix}/lib/xscreensaver/nerverot
%{_X11prefix}/lib/xscreensaver/noseguy
%{_X11prefix}/lib/xscreensaver/pedal
%{_X11prefix}/lib/xscreensaver/penetrate
%{_X11prefix}/lib/xscreensaver/penrose
%{_X11prefix}/lib/xscreensaver/petri
%{_X11prefix}/lib/xscreensaver/phosphor
%{_X11prefix}/lib/xscreensaver/pyro
%{_X11prefix}/lib/xscreensaver/qix
%{_X11prefix}/lib/xscreensaver/rd-bomb
%{_X11prefix}/lib/xscreensaver/ripples
%{_X11prefix}/lib/xscreensaver/rocks
%{_X11prefix}/lib/xscreensaver/rorschach
%{_X11prefix}/lib/xscreensaver/rotor
%{_X11prefix}/lib/xscreensaver/rotzoomer
%{_X11prefix}/lib/xscreensaver/shadebobs
%{_X11prefix}/lib/xscreensaver/sierpinski
%{_X11prefix}/lib/xscreensaver/slidescreen
%{_X11prefix}/lib/xscreensaver/slip
%{_X11prefix}/lib/xscreensaver/sonar
%{_X11prefix}/lib/xscreensaver/speedmine
%{_X11prefix}/lib/xscreensaver/sphere
%{_X11prefix}/lib/xscreensaver/spiral
%{_X11prefix}/lib/xscreensaver/spotlight
%{_X11prefix}/lib/xscreensaver/squiral
%{_X11prefix}/lib/xscreensaver/starfish
%{_X11prefix}/lib/xscreensaver/strange
%{_X11prefix}/lib/xscreensaver/swirl
%{_X11prefix}/lib/xscreensaver/t3d
%{_X11prefix}/lib/xscreensaver/triangle
%{_X11prefix}/lib/xscreensaver/truchet
%{_X11prefix}/lib/xscreensaver/vermiculate
%{_X11prefix}/lib/xscreensaver/vidwhacker
%{_X11prefix}/lib/xscreensaver/vines
%{_X11prefix}/lib/xscreensaver/wander
%{_X11prefix}/lib/xscreensaver/webcollage
%{_X11prefix}/lib/xscreensaver/whirlwindwarp
%{_X11prefix}/lib/xscreensaver/whirlygig
%{_X11prefix}/lib/xscreensaver/worm
%{_X11prefix}/lib/xscreensaver/xflame
#%{_X11prefix}/lib/xscreensaver/xjack
%{_X11prefix}/lib/xscreensaver/xlyap
%if %{enable_xmatrix}
#%{_X11prefix}/lib/xscreensaver/xmatrix
%endif
#%{_X11prefix}/lib/xscreensaver/xroger
%{_X11prefix}/lib/xscreensaver/xrayswarm
%{_X11prefix}/lib/xscreensaver/xspirograph
%{_X11prefix}/lib/xscreensaver/xsublim
%{_X11prefix}/lib/xscreensaver/xteevee
%{_X11prefix}/lib/xscreensaver/zoom
%{_datadir}/control-center/Desktop/*
%{_datadir}/control-center/screensavers/*
%{_datadir}/gnome/apps/Settings/Desktop/*
%{_datadir}/pixmaps/*
%{_menudir}/*

%files gl
%defattr(-,root,root)
%doc README.GL
%{_X11prefix}/bin/xscreensaver-gl-helper
%{_X11prefix}/lib/xscreensaver/atlantis
%{_X11prefix}/lib/xscreensaver/bubble3d
%{_X11prefix}/lib/xscreensaver/cage
%{_X11prefix}/lib/xscreensaver/circuit
%{_X11prefix}/lib/xscreensaver/dangerball
%{_X11prefix}/lib/xscreensaver/engine
%{_X11prefix}/lib/xscreensaver/flipscreen3d
%{_X11prefix}/lib/xscreensaver/gears
%{_X11prefix}/lib/xscreensaver/gflux
%{_X11prefix}/lib/xscreensaver/glplanet
%{_X11prefix}/lib/xscreensaver/gltext
%{_X11prefix}/lib/xscreensaver/lament
%{_X11prefix}/lib/xscreensaver/moebius
%{_X11prefix}/lib/xscreensaver/menger
%{_X11prefix}/lib/xscreensaver/molecule
%{_X11prefix}/lib/xscreensaver/morph3d
%{_X11prefix}/lib/xscreensaver/pipes
%{_X11prefix}/lib/xscreensaver/pulsar
%{_X11prefix}/lib/xscreensaver/rubik
%{_X11prefix}/lib/xscreensaver/sierpinski3d
%{_X11prefix}/lib/xscreensaver/sproingies
%{_X11prefix}/lib/xscreensaver/stairs
%{_X11prefix}/lib/xscreensaver/starwars
%{_X11prefix}/lib/xscreensaver/stonerview
%{_X11prefix}/lib/xscreensaver/superquadrics

%changelog
* Tue Mar  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.00-4mdk
- Patch10: allow root to start xscreensaver

* Mon Mar  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.00-3mdk
- Fix build process

* Mon Jan 21 2002 Stefan van der Eijk <stefan@eijk.nu> 4.00-2mdk
- BuildRequires

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.00-1mdk
- Release 4.00
- Really remove patch6 !!
- Remove patches 8 (not needed) & 10 (merged upstream)

* Fri Jan 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 3.34-5mdk
- Regenerate patch 9 : put gdadou as default screensaver
- Remove patch 6 (merged in patch9)
- Put GNOME control center data back in GNOME control center package

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 3.34-4mdk
- Rebuild against new version of libcapplet

* Fri Dec 14 2001 Stefan van der Eijk <stefan@eijk.nu> 3.34-3mdk
- %%{_sysconfdir}/X11/app-defaults --> %%{_sysconfdir}/X11/app-defaults/*

* Thu Dec 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.34-2mdk
- Fixes from Gtz Waschk <waschk@linux-mandrake.com> :
 - added circuit to gl package
 - added vermiculate
 - added missing control-center descriptions

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.34-1mdk
- Release 3.34
- Regenerate patch 6 & 9
- Don't use makeinstall macro at all

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 3.33-7mdk
- BuildRequries: gnome-libs-devel pam-devel

* Mon Sep 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.33-6mdk
- Patch10 (rawhide): window-id hack for control-center

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.33-5mdk
- Compiled with kerebos support
- Remove patches 0,1 & 4
- Patch9 is back and regenerated
- Move Mesa dependent screensavers to -gl package
- Add missing screensavers

* Mon Jul 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.33-4mdk
- add a README.GL
- move to /usr/X11R6/lib/X11/app-defaults/XScreenSaver to
  /etc/X11/app-defaults/

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 3.33-3mdk
- BuildRequires: xpm-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 3.33-2mdk
- BuildRequires: lesstif-devel
- bzip patches

* Tue Jun 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.33-1mdk
- new version

* Tue Apr 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.31-1mdk
- new release

* Thu Feb 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.28-3mdk
- Remove the xmatrix screensaver as there are copyright problems.

* Wed Feb 14 2001 Michal Rokos <m.rokos@sh.cvut.cz> 3.28-2mdk
- Spec change in --enable-subdir=../X11R6/lib/xscreensaver for make it work
- added xmatrix again

* Sun Feb 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.28-1mdk
- new and shiny source.
- use of %%configure.
- commented out xroger as it seems to be missing.

* Mon Jan 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.27-1mdk
- new version

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 3.25-8mdk
- BuildRequires: bc, Mesa-common-devel
- Some spec clean up

* Mon Jan  1 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 3.25-7mdk
- added CFLAGS="-D_GNU_SOURCE" so it will build

* Fri Oct  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 3.25-6mdk
- Modify config file when (un)installing gl package (correct bug #580)

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.25-5mdk
- pam_stack.

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 3.25-4mdk
- Add files for Gnome control-center support

* Wed Sep 20 2000 Etienne Faure  <etienne@mandraksoft.com> 3.25-3mdk
- added dependencies: fortune-mod, Mesa-demo
- removed non-free screensaver (xmatrix...)

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.25-2mdk
- rebuild to avoid dependency on glide

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.25-1mdk
- new version
- macros, BM, ...
- add some doc
- remove find list
- fix permissions

* Sat Apr  1 2000 DindinX <odin@mandrakesoft.com> 3.23-1mdk
- New version

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 3.18-4mdk
- Fix groups
- Specs updates

* Thu Dec 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new Mesa.

* Fri Dec 03 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Define the ZIPPY_PROGRAM to /usr/games/fortune (and not `fortune`).

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- extend RPM silliness to man pages, too.
- kill setuid the Right Way(tm)
- 3.18.
- add a '-oneshot' single time lock option(r).
- take webcollage out of random list (for people who pay for bandwidth)(r).
- patch webcollage to use xloadimage(r)
- in the random list, run petri with -size 2 to save memory(r)
- remove security problem introduced earlier(r)

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting Mesa Xscreensaver.

* Sun Jul 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong dependences.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.17.
- Removed unused patchs.
- Add a new dependences (xscreensave now use gtk).

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.

* Tue May  4 1999 Bill Nottingham <notting@redhat.com>
- removed previously introduced security problem.

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- kill setuid the Right Way(tm)

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix xflame on alpha

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.09, fixes vmware interaction problems.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- remove setuid bit. Really. I mean it.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- kill setuid, since pam works OK

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.08

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig returns, and no one is safe...

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- remove bsod from random list because it's confusing people???? *sigh*

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to get it to compile cleanely on the arm

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 3.07

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 3.06

* Tue Nov 17 1998 Bill Nottingham <notting@redhat.com>
- update to 3.04

* Thu Nov 12 1998 Bill Nottingham <notting@redhat.com>
- update to 3.02
- PAMify

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out Noseguy module b/c of possible TMv
- install modules in /usr/X11R6/lib/xscreensaver
- don't compile support for xshm on the alpha
- properly buildrooted
- updated to version 2.34

* Fri Aug  7 1998 Bill Nottingham <notting@redhat.com>
- update to 2.27

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- added fix for argv0 buffer overflow

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 2.10 to 2.16
- added buildroot

* Wed Oct 25 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version, configure

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
